summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-12 03:58:53 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-12 17:59:49 +0200
commit1c35025416b4295915f499a01d0cee8899971321 (patch)
tree8d77bc5a61777014d91d832adab49039955a8e64 /source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build
parent5ff08990e972ccd99e36e94e44746710b95adba4 (diff)
downloadcurrent-1c35025416b4295915f499a01d0cee8899971321.tar.gz
current-1c35025416b4295915f499a01d0cee8899971321.tar.xz
Thu Sep 12 03:58:53 UTC 201920190912035853
a/glibc-zoneinfo-2019c-noarch-1.txz: Upgraded. This package provides the latest timezone updates. a/openssl-solibs-1.1.1d-x86_64-1.txz: Upgraded. a/openssl10-solibs-1.0.2t-x86_64-1.txz: Upgraded. ap/mariadb-10.4.8-x86_64-1.txz: Upgraded. l/netpbm-10.87.02-x86_64-1.txz: Upgraded. n/curl-7.66.0-x86_64-1.txz: Upgraded. This update fixes security issues: FTP-KRB double-free TFTP small blocksize heap buffer overflow For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5481 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5482 (* Security fix *) n/openssl-1.1.1d-x86_64-1.txz: Upgraded. This update fixes low severity security issues: Fixed a fork protection issue Fixed a padding oracle in PKCS7_dataDecode and CMS_decrypt_set1_pkey Compute ECC cofactors if not provided during EC_GROUP construction For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1549 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1563 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1547 (* Security fix *) n/openssl10-1.0.2t-x86_64-1.txz: Upgraded. This update fixes low severity security issues: Fixed a padding oracle in PKCS7_dataDecode and CMS_decrypt_set1_pkey Compute ECC cofactors if not provided during EC_GROUP construction For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1563 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1547 (* Security fix *) n/p11-kit-0.23.17-x86_64-1.txz: Upgraded. xap/mozilla-thunderbird-68.1.0-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/68.1.0/releasenotes/ https://www.mozilla.org/security/known-vulnerabilities/thunderbird.html (* Security fix *) extra/google-chrome/google-chrome.SlackBuild: Upgraded. Patched the packaging script to account for the internal change of control.tar.gz to control.tar.xz. Thanks to _RDS_ and Tim Thomas who both provided the same patch.
Diffstat (limited to 'source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build')
-rwxr-xr-xsource/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build91
1 files changed, 91 insertions, 0 deletions
diff --git a/source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build b/source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build
new file mode 100755
index 000000000..6f98074fe
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/build-deps/nodejs/nodejs.build
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=node
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+
+mkdir -p $TMP
+mkdir -p $TMP/mozilla-thunderbird-build-deps/usr
+
+cd $TMP
+rm -rf node-$VERSION
+tar xvf $CWD/node-$VERSION.tar.?z || exit 1
+cd node-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix paths for $LIBDIRSUFFIX (if needed):
+if [ ! -z $LIBDIRSUFFIX ]; then
+ sed -i "s|\"lib\"|\"lib${LIBDIRSUFFIX}\"|" deps/npm/lib/npm.js
+ sed -i "s/'lib'/'lib${LIBDIRSUFFIX}'/" lib/module.js
+ sed -i "s|lib/|lib${LIBDIRSUFFIX}/|g" tools/install.py
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$TMP/mozilla-thunderbird-build-deps/usr \
+ --shared-zlib \
+ --without-ssl
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1